Intrusion Prevention

Adobe.Flash.Player.SWF.DeclareFunction2.Remote.Code.Execution

Description

This indicates an attack attempt against a remote code execution vulnerability in Adobe's Flash Player.
The vulnerability is caused when the Flash player attempts to access embedded Actionscript objects that have not been properly instantiated. An attacker may exploit this issue to execute arbitrary code in the context of the affected application.

Affected Products

Adobe Flash Player 9.0.115.0 and earlier versions

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Refer to the vendor's website for suggested workaround.
http://www.adobe.com/support/security/bulletins/apsb08-11.html

CVE References

CVE-2007-6019